uniform sampler2D SampleTex;

void main(void)
{
	vec2
	  cPos = gl_TexCoord[0].xy;
	  
	float r = texture2D(SampleTex, cPos).r;
	  
	r *= gl_TexCoord[2].x;
	r += gl_TexCoord[2].y;

	gl_FragColor.r = r;
}

